@charset "UTF-8";
/* Author: Frittt Templates
   URI: http://www.frittt.com
*/
body,
html {
  margin: 0;
  padding: 0;
}

body,
input,
h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: "Raleway", Helvetica, Arial, "Lucida Grande", sans-serif;
  font-weight: 300;
  font-size: 18px;
}

h4 small {
  border-left: 1px solid #888;
  font-size: 12px;
  font-weight: 100;
  margin-left: 10px;
  padding-left: 12px;
}

body {
  background: #fff none repeat scroll 0 0;
  color: #222;
  font-family: "Open Sans";
  font-size: 14px;
  font-weight: 400;
  line-height: 24px;
}

img,
iframe {
  max-width: 100%;
}

iframe {
  max-height: 100%;
}

img {
  height: auto;
}

.btn {
  background: #135571;
  color: #fff;
  -webkit-transition: all 250ms;
  -o-transition: all 250ms;
  -moz-transition: all 250ms;
  transition: all 250ms;
}

.btn:hover {
  background: #333;
}

.btn-download {
  -webkit-border-radius: 0 4px 0 0;
  -moz-border-radius: 0 4px 0 0;
  border-radius: 0 4px 0 0;
  font-weight: bold;
  width: 25px;
  overflow: hidden;
}

.btn-download img {
  width: 25px;
  float: left;
  margin-top: 18px;
  margin-right: 15px;
}

.btn-download:hover {
  width: 165px;
}

iframe {
  border: 0 !important;
}

header {
  width: 100%;
  overflow: hidden;
}

.container {
  padding: 40px 40px 40px 0;
  position: relative;
}

strong,
dt,
h3,
h4 {
  font-weight: 700;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  color: #121212;
  font-family: "Open Sans";
  font-weight: 300;
  line-height: 1.2em;
  margin: 0 0 0.8em;
}

h1.secondary,
h2.secondary,
h3.secondary,
h4.secondary,
h5.secondary,
h6.secondary {
  color: #333;
}

h1.normal,
h2.normal,
h3.normal,
h4.normal,
h5.normal,
h6.normal {
  font-weight: 400;
}

h1.bold,
h2.bold,
h3.bold,
h4.bold,
h5.bold,
h6.bold {
  font-weight: 500;
}

h1.bolder,
h2.bolder,
h3.bolder,
h4.bolder,
h5.bolder,
h6.bolder {
  font-weight: 700;
}

h1 {
  font-size: 36px;
  font-weight: 500;
  margin-bottom: 20px;
}

h2 {
  font-size: 32px;
  margin-bottom: 20px;
}

h3 {
  font-size: 24px;
  margin-bottom: 22px;
}

h4 {
  font-size: 18px;
  margin-bottom: 22px;
  font-weight: 600;
  opacity: 0.8;
}

h5 {
  font-size: 18px;
  font-weight: 700;
  margin-bottom: 18px;
}

h6 {
  font-size: 14px;
  font-weight: 500;
  margin-bottom: 14px;
}

iframe,
img {
  max-width: 100%;
}

iframe {
  width: 100%;
}

hr {
  background: #EEE;
  border: 0;
  height: 1px;
  margin: 40px 0 40px;
}

blockquote {
  margin: 1em 0;
  border-left: 3px solid #ccc;
  padding-left: 20px;
  text-align: left;
}

dd {
  padding: 0;
  margin: 0 0 25px 0;
}

a {
  -webkit-transition: all ease 150ms;
  -o-transition: all ease 150ms;
  -moz-transition: all ease 150ms;
  transition: all ease 150ms;
  text-decoration: none;
  color: #0056ae;
}

a:hover {
  text-decoration: underline;
}

a:active {
  color: #47b5e2;
}

/* Header Styles */
/*
header {
    padding: 2em 0 2em 0;

    background: #f4f4f4;
    color: #fff;
	border-bottom: 1px solid #eee;
}*/
header {
  background-color: #fff;
  border-bottom: 1px solid #eee;
  left: 0;
  margin: 0 auto;
  top: 0;
  -webkit-transition: all 1.3s linear 0s;
  -o-transition: all 1.3s linear 0s;
  -moz-transition: all 1.3s linear 0s;
  transition: all 1.3s linear 0s;
  width: 100%;
  z-index: 10000;
}

h1 {
  margin-bottom: 20px;
  padding: 0;
}

header h2 {
  margin: 0 0 1em 0;
}

header h2.lone-header {
  margin: 0;
}

footer {
  text-align: center;
  padding: 1.5em 0;
  background: #fff;
  -webkit-border-radius: 0 0 4px 4px;
  -moz-border-radius: 0 0 4px 4px;
  border-radius: 0 0 4px 4px;
}

footer p {
  margin: 0;
  color: #999;
}

.pull-right {
  float: right;
}

.pull-left {
  float: left;
}

/* Navigation Styles */
nav {
  background: #fff;
  padding: 0;
  min-height: 60px;
  -webkit-border-radius: 5px 5px 0 0;
  -moz-border-radius: 5px 5px 0 0;
  border-radius: 5px 5px 0 0;
}

nav ul,
nav li {
  margin: 0;
  padding: 0;
  list-style: none;
}

nav a {
  padding: 0 1em;
  text-decoration: none !important;
  font-size: .9em;
  height: 60px;
  line-height: 60px;
  display: block;
}

nav h1 a {
  padding: 7px 1em;
  height: 46px;
  line-height: 0;
  height: 45px;
  line-height: 60px;
  color: #000;
}

nav h1 a img {
  margin-right: 10px;
  float: left;
  margin-top: 9px;
}

nav h1 a span {
  float: left;
  margin-top: -5px;
}

nav a:active {
  color: #fff;
  cursor: default;
}

nav ul.site {
  padding: 20px 0 0 0;
}

nav #menu {
  overflow: hidden;
  max-height: 0;
  clear: left;
}

nav #menu-toggle {
  position: absolute;
  right: 0;
  top: 0;
  font-size: 1.5em;
  padding: 0 16px;
}

#logo {
  width: 90px;
  margin: 0 auto;
}

@media only screen and (min-width: 680px) {
  nav,
  nav #menu {
    height: 60px !important;
  }
  nav li,
  nav a {
    float: left;
  }
  nav ul.site {
    float: left;
    padding: 0;
    clear: none;
  }
  nav ul.site li {
    margin: 0 0 0 10px;
  }
  nav #menu-toggle {
    display: none !important;
  }
  nav #menu {
    max-height: 9999px;
    clear: none;
  }
}

/* Content Styles */
section {
  text-align: center;
}

section.vibrant {
  background: #222;
  color: #fff;
}

section.vibrant h4 {
  line-height: 2;
  font-weight: normal;
  width: 90%;
  margin: 0 auto;
}

nav:before,
nav:after,
header:before,
header:after,
section:before,
section:after {
  content: " ";
  display: table;
}

nav:after,
header:after,
section:after {
  clear: both;
}

nav,
header,
section {
  *zoom: 1;
}

/* Form Styles */
input {
  display: block;
  vertical-align: middle;
  line-height: 30px;
  margin: 0 auto;
  width: 100%;
  max-width: 400px;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  -webkit-transition: all linear 0.2s;
  -o-transition: all linear 0.2s;
  -moz-transition: all linear 0.2s;
  transition: all linear 0.2s;
}

input:focus {
  border-color: #007eb2;
  outline: 0;
}

.docs-nav {
  background-color: #fbfbfb;
  border-right: 1px solid #eee;
  font-size: 16px;
  list-style: outside none none;
  margin: 0;
  padding: 20px 0 30px;
  border-bottom: 1px solid #eee;
}

.docs-nav a {
  border-bottom: 1px solid #eaeaea;
  color: #555;
  display: block;
  font-size: 14px;
  padding: 8px 30px;
  text-decoration: none;
}

.docs-nav a:last-child {
  border-bottom: 0;
}

.docs-nav strong {
  margin-bottom: 10px;
  display: block;
  padding: 8px 20px;
}

@media only screen and (min-width: 960px) {
  .docs-nav {
    position: absolute;
    top: 0;
    width: 260px;
    -webkit-transition: top linear 50ms;
    -o-transition: top linear 50ms;
    -moz-transition: top linear 50ms;
    transition: top linear 50ms;
  }
  .docs-nav.fixed {
    position: fixed;
    top: 49px;
    width: 260px;
  }
  .docs-nav a:hover {
    background: #0056ae;
    color: #fff;
  }
  .docs-nav a:active, .docs-nav .active {
    background: #0056ae none repeat scroll 0 0;
    border-right: 0 solid #ccc;
    color: #fff;
  }
  .docs-nav .separator {
    height: 20px;
  }
  .docs-content {
    padding-left: 310px;
  }
  header {
    padding: 1em 0 1em 0;
  }
  .container {
    max-width: 100%;
  }
  section {
    padding: 0;
    text-align: left;
    background: #fff;
  }
  section.centered {
    text-align: center;
  }
  input {
    display: inline-block;
  }
}

.text-center {
  text-align: center;
}

#hb-header {
  padding: 20px 24px 40px;
}

#hb-header .links {
  margin-top: 40px;
}

.links a,
footer .links a {
  border-left: 1px solid #e1e1e1;
  color: #666;
  display: inline-block;
  padding: 0 10px;
  text-decoration: none;
}

.links a:hover,
footer .links a:hover {
  color: #2980b9;
}

.links a:first-child {
  border-left: 0 none;
}

#footer-wrapper {
  border-top: 1px solid #f1f1f1;
}

#footer, #hb-header {
  padding: 30px 0;
  text-align: center;
}

#footer {
  padding-bottom: 130px;
}

#logo {
  display: block;
}

pre code {
  background-color: transparent;
  -webkit-border-radius: 0;
  -moz-border-radius: 0;
  border-radius: 0;
  color: inherit;
  font-size: inherit;
  padding: 0;
  white-space: pre-wrap;
}

code {
  background-color: #f9f2f4;
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  border-radius: 4px;
  color: #c7254e;
  font-size: 90%;
  padding: 2px 4px;
}

.label {
  -webkit-border-radius: 0.25em;
  -moz-border-radius: 0.25em;
  border-radius: 0.25em;
  color: #ffffff;
  display: inline;
  font-size: 75%;
  font-weight: bold;
  line-height: 1;
  padding: 0.2em 0.6em 0.3em;
  text-align: center;
  vertical-align: baseline;
  white-space: nowrap;
}

.label-danger {
  background-color: #d9534f;
}

#default-tree li::before {
  background-image: url("../images/folder.png");
  background-repeat: no-repeat;
  content: " ";
  height: 22px;
  margin-left: -23px;
  margin-top: 6px;
  position: absolute;
  width: 24px;
}

table {
  background-color: transparent;
}

caption {
  color: #777;
  padding-bottom: 8px;
  padding-top: 8px;
  text-align: left;
}

th {
  text-align: left;
}

.table {
  margin-bottom: 20px;
  max-width: 100%;
  width: 100%;
}

.table > tbody > tr > td, .table > tbody > tr > th, .table > tfoot > tr > td, .table > tfoot > tr > th, .table > thead > tr > td, .table > thead > tr > th {
  border-top: 1px solid #ddd;
  line-height: 1.42857;
  padding: 8px;
  vertical-align: top;
}

.table > thead > tr > th {
  border-bottom: 2px solid #ddd;
  vertical-align: bottom;
}

.table > caption + thead > tr:first-child > td, .table > caption + thead > tr:first-child > th, .table > colgroup + thead > tr:first-child > td, .table > colgroup + thead > tr:first-child > th, .table > thead:first-child > tr:first-child > td, .table > thead:first-child > tr:first-child > th {
  border-top: 0 none;
}

.table > tbody + tbody {
  border-top: 2px solid #ddd;
}

.table .table {
  background-color: #fff;
}

.table-condensed > tbody > tr > td, .table-condensed > tbody > tr > th, .table-condensed > tfoot > tr > td, .table-condensed > tfoot > tr > th, .table-condensed > thead > tr > td, .table-condensed > thead > tr > th {
  padding: 12px;
}

.table-bordered {
  border: 1px solid #ddd;
}

.table-bordered > tbody > tr > td, .table-bordered > tbody > tr > th, .table-bordered > tfoot > tr > td, .table-bordered > tfoot > tr > th, .table-bordered > thead > tr > td, .table-bordered > thead > tr > th {
  border: 1px solid #eee !important;
}

.table-bordered > thead > tr > td, .table-bordered > thead > tr > th {
  border-bottom-width: 2px;
}

.table-striped > tbody > tr:nth-of-type(2n+1) {
  background-color: #f9f9f9;
}

.table-hover > tbody > tr:hover {
  background-color: #f5f5f5;
}

table col[class*="col-"] {
  display: table-column;
  float: none;
  position: static;
}

table td[class*="col-"], table th[class*="col-"] {
  display: table-cell;
  float: none;
  position: static;
}

.table > tbody > tr.active > td, .table > tbody > tr.active > th, .table > tbody > tr > td.active, .table > tbody > tr > th.active, .table > tfoot > tr.active > td, .table > tfoot > tr.active > th, .table > tfoot > tr > td.active, .table > tfoot > tr > th.active, .table > thead > tr.active > td, .table > thead > tr.active > th, .table > thead > tr > td.active, .table > thead > tr > th.active {
  background-color: #f5f5f5;
}

.table-hover > tbody > tr.active:hover > td, .table-hover > tbody > tr.active:hover > th, .table-hover > tbody > tr:hover > .active, .table-hover > tbody > tr > td.active:hover, .table-hover > tbody > tr > th.active:hover {
  background-color: #e8e8e8;
}

.table > tbody > tr.success > td, .table > tbody > tr.success > th, .table > tbody > tr > td.success, .table > tbody > tr > th.success, .table > tfoot > tr.success > td, .table > tfoot > tr.success > th, .table > tfoot > tr > td.success, .table > tfoot > tr > th.success, .table > thead > tr.success > td, .table > thead > tr.success > th, .table > thead > tr > td.success, .table > thead > tr > th.success {
  background-color: #dff0d8;
}

.table-hover > tbody > tr.success:hover > td, .table-hover > tbody > tr.success:hover > th, .table-hover > tbody > tr:hover > .success, .table-hover > tbody > tr > td.success:hover, .table-hover > tbody > tr > th.success:hover {
  background-color: #d0e9c6;
}

.table > tbody > tr.info > td, .table > tbody > tr.info > th, .table > tbody > tr > td.info, .table > tbody > tr > th.info, .table > tfoot > tr.info > td, .table > tfoot > tr.info > th, .table > tfoot > tr > td.info, .table > tfoot > tr > th.info, .table > thead > tr.info > td, .table > thead > tr.info > th, .table > thead > tr > td.info, .table > thead > tr > th.info {
  background-color: #d9edf7;
}

.table-hover > tbody > tr.info:hover > td, .table-hover > tbody > tr.info:hover > th, .table-hover > tbody > tr:hover > .info, .table-hover > tbody > tr > td.info:hover, .table-hover > tbody > tr > th.info:hover {
  background-color: #c4e3f3;
}

.table > tbody > tr.warning > td, .table > tbody > tr.warning > th, .table > tbody > tr > td.warning, .table > tbody > tr > th.warning, .table > tfoot > tr.warning > td, .table > tfoot > tr.warning > th, .table > tfoot > tr > td.warning, .table > tfoot > tr > th.warning, .table > thead > tr.warning > td, .table > thead > tr.warning > th, .table > thead > tr > td.warning, .table > thead > tr > th.warning {
  background-color: #fcf8e3;
}

.table-hover > tbody > tr.warning:hover > td, .table-hover > tbody > tr.warning:hover > th, .table-hover > tbody > tr:hover > .warning, .table-hover > tbody > tr > td.warning:hover, .table-hover > tbody > tr > th.warning:hover {
  background-color: #faf2cc;
}

.table > tbody > tr.danger > td, .table > tbody > tr.danger > th, .table > tbody > tr > td.danger, .table > tbody > tr > th.danger, .table > tfoot > tr.danger > td, .table > tfoot > tr.danger > th, .table > tfoot > tr > td.danger, .table > tfoot > tr > th.danger, .table > thead > tr.danger > td, .table > thead > tr.danger > th, .table > thead > tr > td.danger, .table > thead > tr > th.danger {
  background-color: #f2dede;
}

.table-hover > tbody > tr.danger:hover > td, .table-hover > tbody > tr.danger:hover > th, .table-hover > tbody > tr:hover > .danger, .table-hover > tbody > tr > td.danger:hover, .table-hover > tbody > tr > th.danger:hover {
  background-color: #ebcccc;
}

.table-responsive {
  min-height: 0.01%;
  overflow-x: auto;
}

@media screen and (max-width: 767px) {
  .table-responsive {
    border: 1px solid #ddd;
    margin-bottom: 15px;
    overflow-y: hidden;
    width: 100%;
  }
  .table-responsive > .table {
    margin-bottom: 0;
  }
  .table-responsive > .table > tbody > tr > td, .table-responsive > .table > tbody > tr > th, .table-responsive > .table > tfoot > tr > td, .table-responsive > .table > tfoot > tr > th, .table-responsive > .table > thead > tr > td, .table-responsive > .table > thead > tr > th {
    white-space: nowrap;
  }
  .table-responsive > .table-bordered {
    border: 0 none;
  }
  .table-responsive > .table-bordered > tbody > tr > td:first-child, .table-responsive > .table-bordered > tbody > tr > th:first-child, .table-responsive > .table-bordered > tfoot > tr > td:first-child, .table-responsive > .table-bordered > tfoot > tr > th:first-child, .table-responsive > .table-bordered > thead > tr > td:first-child, .table-responsive > .table-bordered > thead > tr > th:first-child {
    border-left: 0 none;
  }
  .table-responsive > .table-bordered > tbody > tr > td:last-child, .table-responsive > .table-bordered > tbody > tr > th:last-child, .table-responsive > .table-bordered > tfoot > tr > td:last-child, .table-responsive > .table-bordered > tfoot > tr > th:last-child, .table-responsive > .table-bordered > thead > tr > td:last-child, .table-responsive > .table-bordered > thead > tr > th:last-child {
    border-right: 0 none;
  }
  .table-responsive > .table-bordered > tbody > tr:last-child > td, .table-responsive > .table-bordered > tbody > tr:last-child > th, .table-responsive > .table-bordered > tfoot > tr:last-child > td, .table-responsive > .table-bordered > tfoot > tr:last-child > th {
    border-bottom: 0 none;
  }
}

.table {
  margin-top: 5px;
}

.table thead tr th {
  border-bottom: 1px solid rgba(230, 230, 230, 0.7);
  color: rgba(44, 44, 44, 0.35);
  font-size: 13px;
  font-weight: 600;
  padding-bottom: 14px;
  padding-top: 14px;
  text-transform: uppercase;
  vertical-align: middle;
}

.table thead tr th[class*="sorting_"] {
  color: #2c2c2c;
}

.table thead tr th:first-child {
  padding-left: 18px !important;
}

.table thead tr th .btn {
  margin-bottom: -20px;
  margin-top: -20px;
}

.table tbody tr td {
  background: #fff none repeat scroll 0 0;
  border-bottom: 1px solid rgba(230, 230, 230, 0.7);
  border-top: 0 none;
  font-size: 13.5px;
  padding: 20px;
}

.table tbody tr td .btn {
  background: rgba(44, 44, 44, 0.07) none repeat scroll 0 0;
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  border-radius: 4px;
  color: #62605a !important;
  display: inline-block;
  margin: 5px;
  padding: 5px;
}

.table tbody tr td .btn:hover {
  background: rgba(44, 44, 44, 0.15) none repeat scroll 0 0;
}

.table tbody tr td[class*="sorting_"] {
  color: #000;
}

.table tbody tr.selected td {
  background: #fcf3be none repeat scroll 0 0;
}

.table.table-hover tbody tr:hover td {
  background: #d9f1fe none repeat scroll 0 0 !important;
}

.table.table-hover tbody tr.selected:hover td {
  background: #fcf3be none repeat scroll 0 0 !important;
}

.table.table-striped tbody tr td {
  background: #fafafa none repeat scroll 0 0 !important;
}

.table.table-striped tbody tr:nth-child(2n+1) td {
  background: #fff none repeat scroll 0 0 !important;
}

.table.table-condensed {
  table-layout: fixed;
}

.table.table-condensed thead tr th {
  padding-left: 20px;
  padding-right: 20px;
}

.table.table-condensed tbody tr td {
  padding-bottom: 12px;
  padding-top: 12px;
}

.table.table-condensed thead tr th, .table.table-condensed tbody tr td, .table.table-condensed tbody tr td * {
  overflow: hidden;
  -o-text-overflow: ellipsis;
  text-overflow: ellipsis;
  vertical-align: middle;
  white-space: nowrap;
}

.table.table-condensed.table-detailed > tbody > tr.shown > td {
  background: #fcf3be none repeat scroll 0 0;
}

.table.table-condensed.table-detailed > tbody > tr.shown > td:first-child::before {
  content: "";
  display: inline-block;
  font-family: "FontAwesome";
  margin-right: 8px;
}

.table.table-condensed.table-detailed > tbody > tr.shown + tr > td {
  background: rgba(250, 250, 250, 0.4) none repeat scroll 0 0;
  padding: 0 40px;
}

.table.table-condensed.table-detailed > tbody > tr.shown + tr > td .table-inline {
  background: transparent none repeat scroll 0 0;
}

.table.table-condensed.table-detailed > tbody > tr.shown + tr > td .table-inline tr, .table.table-condensed.table-detailed > tbody > tr.shown + tr > td .table-inline td {
  background: transparent none repeat scroll 0 0;
  font-weight: 600;
}

.table.table-condensed.table-detailed > tbody > tr > td:hover {
  cursor: pointer;
}

.table.table-condensed.table-detailed > tbody > tr > td:first-child::before {
  content: "";
  display: inline-block;
  font-family: "FontAwesome";
  margin-right: 8px;
}

.table.table-condensed.table-detailed .table-inline td {
  border: medium none;
  text-align: left;
}

.table.table-borderless > tbody > tr > td {
  border-bottom: 0 none;
}

.fht-table {
  margin-bottom: 0 !important;
}

.table.dataTable.no-footer {
  border: medium none;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
}

.docs-content-inner section {
  border-bottom: 1px solid #eee;
  margin-bottom: 60px;
  padding-bottom: 60px;
}

.syntaxhighlighter {
  border: 1px solid #eee;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  border-radius: 5px;
  padding: 10px;
}

.syntaxhighlighter .toolbar {
  display: none;
}

#creadits {
  margin-bottom: 300px;
}

section {
  margin-bottom: 50px;
}
